<?php
if (defined('BASEDIR')) {
	exit (header('Location: /index.php'));
}

$headmod = 'pub';
$textl = 'Публикации';
$set_user['field_h'] = 5;
$start = isset($_GET['start']) ?  abs(intval($_GET['start'])) : 0; 

require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

require_once ("./inc/conf.php");

//	Ограничиваем доступ к Библиотеке
if	(!$closed && is_admin(array()))
	$error = 'Публикации закрыты';
else if ($closed == 1 && !is_user())
	$error = 'Доступ в Библиотеку открыт только <a href="../in.php">авторизованным</a> посетителям';
if	($error) {
	echo '<div class="rmenu"><p>'.$error.'</p></div>';
	include_once ('../themes/footer.php');
	exit;
}

require_once ("panel.dat");
$downs = DB::run() -> queryFetch("SELECT * FROM `pub_arts` WHERE `id`=? LIMIT 1;", array($id));
$mod = isset($_GET['mod']) ? abs(intval($_GET['mod'])) : 0;
echo '<div class="b">';
echo ' <img src="/images/img/zip.gif" alt="*" />';
echo ' <a href="read.php?id='.$id.'"><b>'.$downs['name'].'</b></a> ';
echo '</div>';
if ($mod!=''.$downs['id'].'') {
	echo ''.bb_code(utf_substr($downs['text'], 0, 300)).'...<br />';
	echo ' <a href="komm.php?id='.$id.'&amp;rand='.mt_rand(100, 999).'&amp;start='.$start.'&amp;mod='.$downs['id'].'#'.$downs['id'].'"><b> . . . »</b></a> <br />';
}

if ($mod==''.$downs['id'].'') {
	echo ''.bb_code(utf_substr($downs['text'], 0)).'<br />';
	echo '<a href="komm.php?id='.$id.'&amp;rand='.mt_rand(100, 999).'&amp;start='.$start.'&amp;#'.$downs['id'].'"><b>« . . .</b></a>  <br />';
}

if (!empty($id)) {
	if (empty($_POST['submit'])) {
		echo '<form method="POST" action="komm.php?id='.$id.'">';
		echo '<div class="form">';
		echo 'Ваш комментарий:<br /> <textarea name="msg" rows="'.$set_user['field_h'].'" id="markItUp"></textarea>';
		echo '<br/>';
		echo '<input value="Добавить" type="submit" name="submit"/></div></form>';
	} else {
		if (!empty($_POST['msg'])) {
			$msg = (trim($_POST['msg']));
			$dt = date("d.m.Y");

			if (DB::run() -> query("
				insert into `pub_comm` set
				`fid` = '".$id."',
				`user` = '".$log."',
				`text` = '".$msg."',
				`ip` = '".$ip."',
				`soft` = '".$brow."',
				`time` = '".SITETIME."',
				`dt` = '".$dt."'
			;")) {
				notice('Ваш комментарий успешно добавлен!');
				redirect('komm.php?id='.$id);
			} else {
				header("Location: komm.php?id=$id&no");
			}
		}
	}

	$total = DB::run() -> querySingle("SELECT count(*) FROM `pub_comm` WHERE `fid`=? ;", array($id));
	if ($total > 0) {
		$sql = DB::run() -> query("select * from `pub_comm` where `fid` = ? order by `time` DESC LIMIT ".$start.",".$kol_file.";", array($id));
		$i = 0;
		while ($mas = $sql -> fetch()) {
			echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
			echo '<div class="b">';
			echo '<div class="img">'.user_avatars($mas['user']).'</div>';
			echo ' <small class="imgright">('.date_fixed($mas['time']).')</small> ';
			echo ''.profile($mas['user']).' '.user_online($mas['user']).'<br />';
			echo ''.user_title($mas['user']).' </div>';
			
			$text = htmlentities($mas['text']);
			echo $text.'<br/>';
			if (is_admin(array(101))) {
				echo '<div class="sub">';
				echo '(<i class="data">'.$mas['ip'] .' - '.$mas['soft'].'</i>) / <a href="komm.php?act=del&amp;id='.$mas['id'].'&amp;fid='.$id.'">Удалить</a>';
				echo '</div>';
			}
			echo '</div>';
		}
		echo '<div class="breadcrumb">Всего: '.$total.'</div>';
		if ($total > $kol_file) {
			page_strnavigation('komm.php?id='.$id.'&amp;', $kol_file, $start, $total);
		}
	} else {
		show_error('Упс! Список комментариев пуст!');
	}
	$act = isset($_GET['act']) ? $_GET['act'] : '';
	if ($act == "del") {
		$fid = abs(intval($_GET['fid']));
		//$fid = r_check($fid);
		//$id = r_check($id);
		//echo 'id='.$id.'**';
		mysql_query("DELETE FROM `pub_comm` WHERE `id` = '".$id."' AND `fid` = '".$fid."' LIMIT 1");
		//header("Location: komm.php?id=$fid");
	}
}

echo '<br /> <a href="index.php?">Публикации</a> <br />';
include_once ('../themes/footer.php');
?>