<?php
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

//require_once ("./inc/conf.php");
$location = 'pub';
$config['newtitle'] = is_admin() ? 'Установка' : 'Публикации';
$act = isset($_GET['act']) ? check($_GET['act']) : 'index'; 

if (is_admin(array(101))) {
	//require_once ("panel.dat");
	switch($act) {
		default:
			echo '<ol class="breadcrumb">';
			echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
			echo '<li class=""><a href="index.php?">Публикации</a></li>';
			echo '<li class=""><a href="?">Установка</a></li>';
			echo '<li class="active"><strong>Шаг 1</strong></li>';
			echo '</ol> ';
			
			echo '<p>Добро пожаловать в библиотеку для для rotor. <br />
			Перед началом инсталляции, настоятельно рекомендуем ознакомиться с инструкцией, в файле <a href="./install.txt">install.txt</a>.</p>';
			echo '<p><a href="INSTALL.php?act=check">Начать установку</a></p>';
		break;

		case "check":
			echo '<ol class="breadcrumb">';
			echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
			echo '<li class=""><a href="index.php?">Публикации</a></li>';
			echo '<li class=""><a href="?">Установка</a></li>';
			echo '<li class="active"><strong>Шаг 2</strong></li>';
			echo '</ol> ';
			
			//	Проверка прав доступа к файлам и папкам
			function permissions($filez) {
				$filez = @decoct(@fileperms("./$filez")) % 1000;
				return $filez;
			}
			$cherr = "";
			$err = FALSE;

			//	Проверка прав доступа к папкам
			$arr = array("file/", "file/load/", "file/mas/");
			foreach ($arr as $v) {
				if (permissions($v) < 777) {
					$cherr = $cherr.'<div class="bg-danger m-3">
					<span style="color:#ff0000">Ошибка!</span> - <strong>'.$v.'('.permissions($v).')</strong><br />
					Необходимо установить права доступа 777.<hr /></div>';
					$err = 1;
				} else {
					$cherr = $cherr.'<div class="bg-success m-3">
					<span style="color:green">Oк</span> - <strong>'.$v.'('.permissions($v).')</strong>
					<br /><br /><hr /></div>';
				}
			}
			show_title('<div class="">Права доступа</div>','');
			echo $cherr;
			if (!$err) {
				echo '<span class="green">Отлично!</span> <br />
				Все настройки правильные.<p><a href="INSTALL.php?act=ok">Продолжить установку</a></p>';
			} else {
				echo '
				<p><a href="INSTALL.php?act=check">Обновить</a></p>';
			}
		break;


		case "ok":
			echo '<ol class="breadcrumb">';
			echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
			echo '<li class=""><a href="index.php?">Публикации</a></li>';
			echo '<li class=""><a href="?">Установка</a></li>';
			echo '<li class="active"><strong>Шаг 3</strong></li>';
			echo '</ol> ';
			
			show_title('<div class="">Установка таблиц</div>','');

			$ch1 = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_arts';");
			$ch2 = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_file';");
			$ch3 = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_comm';");
			$ch4 = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_sett';");
			$ch5 = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_zak';");

			# Это для себя! 
			/*
			$pub = DB::run() -> querySingle("SHOW TABLES LIKE 'pub_arts';");
			if ($pub) {
				DB::run()->exec("RENAME TABLE `library` TO `pub_arts`;");
				echo 'Таблица library переменована в pub_arts <br />';
			}*/
			if (empty($ch1)) {
				DB::run() -> exec("
					CREATE TABLE `pub_arts` (
						`id` int(11) UNSIGNED NOT NULL,
						`fid` int(11) NOT NULL,
						`parent` smallint(4) UNSIGNED NOT NULL DEFAULT 0,
						`ord` smallint(4) UNSIGNED NOT NULL DEFAULT 0,
						`path` text NOT NULL,
						`file` text NOT NULL,
						`type` text NOT NULL,
						`type2` tinytext NOT NULL,
						`view` char(1) CHARACTER SET latin1 DEFAULT NULL,
						`name` text NOT NULL,
						`opis` text NOT NULL,
						`text` longtext DEFAULT NULL,
						`tegs` varchar(100) NOT NULL,
						`ip` varchar(25) DEFAULT NULL,
						`soft` text NOT NULL,
						`time` int(11) NOT NULL,
						`count` int(11) NOT NULL,
						`avtor` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
						`rating` text NOT NULL,
						`moder` tinyint(4) NOT NULL,
						`dt` char(10) CHARACTER SET latin1 DEFAULT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;

					-- Индексы таблицы `pub_arts`
					ALTER TABLE `pub_arts`
					ADD PRIMARY KEY (`id`);

					-- AUTO_INCREMENT для таблицы `pub_arts`
					ALTER TABLE `pub_arts`
					MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
				");
				echo 'Таблица `pub_arts` создана<br />';
			} else {
				echo 'Таблица `pub_arts` существует<br />';
			}

			if (empty($ch2)) {
				DB::run() -> exec("
					CREATE TABLE `pub_file` (
						`id` int(11) UNSIGNED NOT NULL,
						`fid` int(11) UNSIGNED NOT NULL,
						`name` text NOT NULL,
						`file` text NOT NULL,
						`format` varchar(10) NOT NULL,
						`size` int(11) UNSIGNED NOT NULL,
						`last_load` int(11) UNSIGNED NOT NULL DEFAULT 0,
						`time` int(11) NOT NULL,
						`dt` text NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;

					-- Индексы таблицы `pub_file`
					ALTER TABLE `pub_file`
					ADD PRIMARY KEY (`id`);

					-- AUTO_INCREMENT для таблицы `pub_file`
					ALTER TABLE `pub_file`
					MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
				");
				echo 'Таблица `pub_file` создана<br />';
			} else {
				echo 'Таблица `pub_file` существует<br />';
			}

			if (empty($ch3)) {
				DB::run() -> exec("
					CREATE TABLE `pub_comm` (
						`id` int(11) UNSIGNED NOT NULL,
						`fid` int(11) NOT NULL,
						`user` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
						`text` text NOT NULL,
						`ip` varchar(17) NOT NULL,
						`soft` text NOT NULL,
						`time` int(11) NOT NULL,
						`dt` char(10) CHARACTER SET latin1 DEFAULT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;

					-- Индексы таблицы `pub_comm`
					ALTER TABLE `pub_comm`
					ADD PRIMARY KEY (`id`,`fid`);

					-- AUTO_INCREMENT для таблицы `pub_comm`
					ALTER TABLE `pub_comm`
					MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
				");
				echo 'Таблица `pub_comm` создана <br />';
			} else {
				echo 'Таблица `pub_comm` существует <br />';
			}


			if (empty($ch4)) {
				DB::run() -> exec("
					CREATE TABLE `pub_sett` (
						`key` tinytext NOT NULL,
						`val` text NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;

					-- Дамп данных таблицы `pub_sett`
					INSERT INTO `pub_sett` (`key`, `val`) VALUES
					('kol_file', '10'),
					('new_fil', '10'),
					('simvol', '2000'),
					('dos_load', '1'),
					('closed', '1'),
					('onguestzak', '0');

					-- Индексы таблицы `pub_sett`
					ALTER TABLE `pub_sett`
					ADD PRIMARY KEY (`key`(30));
				");
				echo 'Таблица `pub_sett` создана <br />';
			} else {
				echo 'Таблица `pub_sett` существует <br />';
			}


			if (empty($ch5)) {
				DB::run() -> exec("
					CREATE TABLE `pub_zak` (
						`id` int(11) UNSIGNED NOT NULL,
						`user` varchar(20) NOT NULL,
						`text` varchar(255) NOT NULL DEFAULT '',
						`ip` varchar(20) NOT NULL DEFAULT '',
						`brow` varchar(25) NOT NULL DEFAULT '',
						`type` int(11) NOT NULL DEFAULT 0,
						`time` int(11) NOT NULL,
						`dt` text NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=utf8;

					-- Индексы таблицы `pub_zak`
					ALTER TABLE `pub_zak`
					ADD PRIMARY KEY (`id`),
					ADD UNIQUE KEY `id` (`id`);

					-- AUTO_INCREMENT для таблицы `pub_zak`
					ALTER TABLE `pub_zak`
					MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
					COMMIT;
				");
				echo 'Таблица `pub_zak` создана <br />';
			} else {
				echo 'Таблица `pub_zak` существует <br />';
			}



			echo "<br />Поздравляем! Установка закончена. <br />
			Не забудьте: <br /> 
			Удалить файлы INSTALL.php и install.sql с сайта.";
			echo "<p><a href='./index.php'>Вход </a></p>";
		break;
	}

} else { 
	r_redirect("index.php?err"); 
}
include_once ('../themes/footer.php');
?>