<?php
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

require_once ("./inc/conf.php");
$location = 'pub';
$config['newtitle'] = is_admin() ? 'Управление / Стол заказов' : 'Публикации';
$act = isset($_GET['act']) ? check($_GET['act']) : "" ; 
$start = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0 ; 

if (is_admin(array(101))) {
	require_once ("panel.dat");
	$total = DB::run() -> querySingle("select COUNT(*) from `pub_zak` where `type` = '0'");
	$total_p = DB::run() -> querySingle("select COUNT(*) from `pub_zak` where `type` = '1'");

	//echo '<a href="admin_zak.php?act=pre">Принятые</a>('.$total_p.')';
	#################################################################
	##        		  		   Главная страница            		   ##
	#################################################################
	switch ($act) {
		default:
			echo '<ol class="breadcrumb">';
			echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
			echo '<li class=""><a href="index.php?">Публикации</a></li>';
			echo '<li class=""><a href="admin.php?">Управление</a></li>';
			echo '<li class="active"><strong>Стол заказов</strong> ('.$total.')</li>';
			echo '<li class=""><a href="?act=pre">Принятые ('.$total_p.')</a></li>';
			echo '</ol> ';
			if ($total > 0) {
				$sql = DB::run() -> query("select * from `pub_zak` where `type` = '0'");
				$i = 1;
				while ($res = $sql -> fetch()) {
					echo '<div class = "b">';
					echo '<strong>'.profile($res['user']).'</strong> ('.date_fixed($res['time']).')</>';
					echo '</div>';
					echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';	++$i;
					echo '<laber>Заказ</laber>: <br />';
					echo '<div class="fmenu"><strong>'.$res['text'].'</strong></div>';
					echo '[<a href="admin_zak.php?act=del&amp;id='.$res['id'].'">Отклонить</a>] | ';
					echo '[<a href="admin_zak.php?act=yes&amp;id='.$res['id'].'">Принять</a>]';
					echo '</div>';
				}

				if ($total > $kol_file) {
					page_strnavigation('admin_zak.php?&amp;', $kol_file, $start, $total);
				}
			} else {
				show_error('Список не расмотренных заказов пуст!!');
			}
			echo '<ol class="breadcrumb">Всего '.$total.'</ol>';
		break;


		case "yes":
			if (DB::run() -> query("update `pub_zak` set `type` = '1' where `id` = '".$id."' LIMIT 1")) {
				header("Location: admin_zak.php?");
			} else {
				header("Location: admin_zak.php?no");
			}
		break;


		case "del":
			if (DB::run() -> query("DELETE from `pub_zak` where `id` = '".$id."' LIMIT 1")) {
				header("Location: admin_zak.php?");
			} else {
				header("Location: admin_zak.php?no");
			}
		break;


		case "pre":
			#################################################################
			##          		   	Принятые заказы      	     		   ##
			#################################################################
			echo '<ol class="breadcrumb">';
			echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
			echo '<li class=""><a href="index.php?">Публикации</a></li>';
			echo '<li class=""><a href="admin.php?">Управление</a></li>';
			echo '<li class=""><a href="?">Стол заказов</a> ('.$total.')</li>';
			echo '<li class="active"><strong>Принятые ('.$total_p.')</a></strong></li>';
			echo '</ol> ';
			if ($total_p > 0) {
				$sql = DB::run() -> query("select * from `pub_zak` where `type` = '1'");
				$i = 0;
				while ($res = $sql -> fetch()) {
					echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
					echo 'Заказчик - <strong>'.profile($res['user']).'</strong> ('.date_fixed($res['time']).')<br/>';
					echo 'Заказ: <br /> <div class="fmenu"><strong>'.$res['text'].'</strong></div>';
					echo '[<a href="admin_zak.php?act=del&amp;id='.$res['id'].'">Удалить</a>]';
					echo '</div>';
				}

				if ($total_p > $kol_file) {
					page_strnavigation('admin_zak.php?&amp;', $kol_file, $start, $total);
				}
			} else {
				show_error('В данный момент принятых заказов нет!');
			}
			echo '<ol class="breadcrumb">Всего '.$total.'</ol>';
		break;
	}
}
echo '<a href="admin.php?">Управление</a> <br />';
echo '<a href="index.php?">Публикации</a> <br />';
include_once ('../themes/footer.php');





?>