
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";




--
-- Структура таблицы `pub_arts`
--

CREATE TABLE `pub_arts` (
  `id` int(11) UNSIGNED NOT NULL,
  `fid` int(11) NOT NULL,
  `parent` smallint(4) UNSIGNED NOT NULL DEFAULT 0,
  `ord` smallint(4) UNSIGNED NOT NULL DEFAULT 0,
  `path` text NOT NULL,
  `file` text NOT NULL,
  `type` text NOT NULL,
  `type2` tinytext NOT NULL,
  `view` char(1) CHARACTER SET latin1 DEFAULT NULL,
  `name` text NOT NULL,
  `opis` text NOT NULL,
  `text` longtext DEFAULT NULL,
  `tegs` varchar(100) NOT NULL,
  `ip` varchar(25) DEFAULT NULL,
  `soft` text NOT NULL,
  `time` int(11) NOT NULL,
  `count` int(11) NOT NULL,
  `avtor` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `rating` text NOT NULL,
  `moder` tinyint(4) NOT NULL,
  `dt` char(10) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;





-- --------------------------------------------------------

--
-- Структура таблицы `pub_comm`
--

CREATE TABLE `pub_comm` (
  `id` int(11) NOT NULL,
  `fid` int(11) NOT NULL,
  `user` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `text` text NOT NULL,
  `ip` varchar(17) NOT NULL,
  `soft` text NOT NULL,
  `time` int(11) NOT NULL,
  `dt` char(10) CHARACTER SET latin1 DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `pub_file`
--

CREATE TABLE `pub_file` (
	`id` int(11) UNSIGNED NOT NULL,
	`fid` int(11) UNSIGNED NOT NULL,
	`name` text NOT NULL,
	`file` text NOT NULL,
	`format` varchar(10) NOT NULL,
	`size` int(11) UNSIGNED NOT NULL,
	`last_load` int(11) UNSIGNED NOT NULL DEFAULT 0,
	`time` int(11) NOT NULL,
	`dt` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Структура таблицы `pub_sett`
--

CREATE TABLE `pub_sett` (
  `key` tinytext NOT NULL,
  `val` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `pub_sett`
--

INSERT INTO `pub_sett` (`key`, `val`) VALUES
('kol_file', '10'),
('new_fil', '10'),
('simvol', '2000'),
('dos_load', '1'),
('closed', '1');

-- --------------------------------------------------------

--
-- Структура таблицы `pub_zak`
--

CREATE TABLE `pub_zak` (
  `id` int(11) UNSIGNED NOT NULL,
  `user` varchar(20) NOT NULL,
  `text` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(20) NOT NULL DEFAULT '',
  `brow` varchar(25) NOT NULL DEFAULT '',
  `type` int(11) NOT NULL DEFAULT 0,
  `time` int(11) NOT NULL,
  `dt` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


--
-- Индексы таблицы `pub_arts`
--
ALTER TABLE `pub_arts`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `pub_comm`
--
ALTER TABLE `pub_comm`
  ADD PRIMARY KEY (`id`,`fid`);

--
-- Индексы таблицы `pub_file`
--
ALTER TABLE `pub_file`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `pub_sett`
--
ALTER TABLE `pub_sett`
  ADD PRIMARY KEY (`key`(30));

--
-- Индексы таблицы `pub_zak`
--
ALTER TABLE `pub_zak`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `pub_arts`
--
ALTER TABLE `pub_arts`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `pub_comm`
--
ALTER TABLE `pub_comm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `pub_file`
--
ALTER TABLE `pub_file`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `pub_zak`
--
ALTER TABLE `pub_zak`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
COMMIT;

