<?php
if (defined('BASEDIR')) {
	exit (header('Location: /index.php'));
}

$headmod = 'pub';
$textl = 'Публикации';

require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

require_once ("./inc/conf.php");

$act = isset($_GET['act']) ? check($_GET['act']) : 'index' ; 
$start = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0 ; 

/*
// Ограничиваем доступ к Библиотеке
if (!$set['mod_lib'] && $rights < 7) {
	$error = 'Библиотека закрыта';
} else if ($set['mod_lib'] == 1 && !$user_id) {
    $error = 'Доступ в Библиотеку открыт только <a href="../in.php">авторизованным</a> посетителям';
}
*/
if ($error) {
	echo '<div class="rmenu"><p>'.$error.'</p></div>';
	include_once ('../themes/footer.php');
	exit;
}

require_once ("panel.dat");

echo '<ol class="breadcrumb">';
echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
echo '<li class=""><a href="index.php?">Публикации</a></li>';
echo '<li class="active"><strong>Популярное</strong></li>';
echo '</ol> ';

$total = DB::run() -> querySingle("SELECT count(*) FROM `pub_arts` WHERE `count`>? AND `moder`=? AND `type` = 'file';", array(0, 1));
if ($total > 0) {
	$i = 0;
	$sql = DB::run() -> query("select * from `pub_arts` where `count` > '0' and `moder` = '1' and `type` = 'file' order by `count` DESC LIMIT ".$start.",".$kol_file.";");
	while ($res = $sql -> fetch()) {
		echo '<div class="b">';
		echo '<i class="fa fa-file-text-o fa-lg"> </i> ';
		echo '<a href="read.php?id='.$res['id'].'"><strong>'.$res['name'].'</strong></a> ('.count_komm($res['id']).') <br/> ';
		echo '</div>';
		echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';	++ $i ;
		echo '<div class="ml-5">'.bb_code(utf_substr($res['text'], 0, 250)).'...</div>';
		echo '<li><strong>Прочтений:</strong> '.$res['count'].'</li>';
		echo '<li>'.profile($res['avtor']).'</li>';
		echo '';
		echo '</div>';
	}

} else {
	show_error('К сожаленюю, ничего нового на данный момент нету!!');
}
if ($total > $kol_file) {
	page_strnavigation('pop.php?&amp;', $kol_file, $start, $total);
}

echo '<div class="breadcrumb">Всего: '.$total.' </div>';
echo '<a href="index.php?">Публикации</a> <br />';
include_once ('../themes/footer.php');
?>