<?php
if (defined('BASEDIR')) {
	exit (header('Location: /index.php'));
}

$headmod = 'pub';
$textl = 'Публикации';

require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

require_once ("./inc/conf.php");

// Ограничиваем доступ к Библиотеке
if (!$closed && is_admin(array()))
    $error = 'Публикации закрыты';
elseif ($closed == 1 && !is_user())
    $error = 'Доступ в Публикации открыт только авторизованным посетителям';
if ($error) {
    require_once ("../incfiles/head.php");
    echo '<div class="rmenu"><p>' . $error . '</p></div>';
    include_once ('../themes/footer.php');
    exit;
}

require_once ("panel.dat");
echo '<ol class="breadcrumb">';
echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
echo '<li class=""><a href="index.php?">Публикации</a></li>';
echo '<li class="active"><strong>Статистика</strong></li>';
echo '</ol> ';

$tot_dir = DB::run() -> querySingle("SELECT COUNT(*) from `pub_arts` WHERE `type` = 'dir';");
$tot_text = DB::run() -> querySingle("SELECT COUNT(*) from `pub_arts` WHERE `type` = 'file' AND `moder` = '1';");

$count_new_file = DB::run() -> querySingle("select COUNT(*) from `pub_arts` where `type` = 'file' and `path` LIKE '/%' and `time` > '".(SITETIME -($new_fil * 24 * 3600) )."' and `moder` = '1'");
$count_s = DB::run() -> querySingle("SELECT SUM(count) from `pub_arts` where `type` = 'file' and `moder` = '1'");

echo '<div class="form">';
echo 'Всего категорий: <strong>'.$tot_dir.'</strong> <br />';
echo 'Всего книг:<strong> '.$tot_text.'</strong> <br />';
echo 'Всего новых книг: <strong>'.$count_new_file.'</strong> <br />';
echo 'Всего прочтений: <strong>'.$count_s.'</strong> <br />';
echo '</div>';
echo '<ol class="breadcrumb"><br /></ol>';
echo '<a href="index.php?">Публикации</a> <br />';
include_once ('../themes/footer.php');
?>
