<?php
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

require_once ("./inc/conf.php");

$act = isset($_GET['act']) ? check($_GET['act']) : 'index' ; 
$start = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0 ; 
$location = 'pub';
$config['newtitle'] = 'Публикации / Стол заказов';

$set_user['field_h'] = 6;

echo '<ol class="breadcrumb">';
echo '<li><a href="/index.php?"> <i class="fa fa-home fa-lg text-muted"></i> </a></li>';
echo '<li class=""><a href="index.php?">Публикации</a></li>';
echo '<li class="active"><strong>Стол заказов</strong></li>';
echo '</ol> ';

if (is_user()) {
	$act = isset($_GET['act']) ? $_GET['act'] : 'index';
	switch ($act) {
		#################################################################
		##        		     Подготовка к добавлению            	   ##
		#################################################################
		case 'index':
			echo '<div class="form cut">';
			echo ' <label>Напишите что бы вы хотели здесь видеть:</label>'; 
			echo '<form action="?act=enter" method="post" enctype="multipart/form-data">';
			echo '<textarea name="msg" rows="'.$set_user['field_h'].'" id="markItUp" class="form-control form-control-lg"></textarea><br />';
			echo '';
			echo '<button type="submit" name="submit" class="btn btn-primary"> Добавить </button> <br />';
			echo '</form></div><br />';
		break;
	
		#################################################################
		##                      Добавление Заказа                      ##
		#################################################################
		case 'enter':
			$msg = (isset($_POST['msg'])) ? check($_POST['msg']) : '';
			$dt = date("d.m.Y");

			$re = DB::run() -> querySingle("SELECT COUNT(*) FROM `pub_zak` WHERE `user`=? AND `text`=?;", array($log, $msg));
			if (!$re) {
				$validation = new Validation();
				$validation -> addRule('string', $msg, 'Слишком длинный или короткий текст заказа!', true, 3, 750);
				if ($validation->run()) {
					DB::run() -> query("
						INSERT INTO `pub_zak` (`user`,`text`,`ip`,`brow`,`type`,`time`,`dt`) 
						VALUES (?, ?, ?, ?, ?, ?, ?);", 
						array($log, $msg, $ip, $brow, 0, SITETIME, $dt)
					);
					$lastid = DB::run() -> lastInsertId();

					notice('Ваш заказ успешно отправлен модераторам!');
					redirect("index.php?");

				} else {
					show_error($validation->getErrors());
				}
			} else {
				show_error('Ошибка! Данный заказ уже был вами отправлен!');
			}

			echo '<div class="breadcrumb"> <br /> </div>';
			echo '<i class="fa fa-arrow-circle-left"></i>  <a href="?">Вернуться</a><br />';
		break;
	}

} else {
	show_login('Только для зарегистрированных пользователей');
}
echo '<i class="fa fa-arrow-circle-o-left"></i> <a href="index.php?">Публикации</a> <br />';
echo '<i class="fa fa-home"></i> <a href="/index.php?">Главная</a> <br />';
include_once ('../themes/footer.php');

?>